Package com.smartgwt.client.util.workflow

# Class DecisionBranch

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.workflow.DecisionBranch

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `TaskDecision`

public class DecisionBranch extends DataClass
Identifies a potential branch within a `MultiDecisionTask`. Each decision has a criteria and a target ProcessElement ID.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionBranch()`
  `DecisionBranch(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Criteria`
  `getCriteria()`
  Criteria identifying when the `targetTask` should be chosen within a `MultiDecisionTask.decisionList`.
  `static DecisionBranch`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getTargetTask()`
  `ProcessElement.ID` of element to be used as next element if `criteria` matches.
  `DecisionBranch`
  `setCriteria(Criteria criteria)`
  Criteria identifying when the `targetTask` should be chosen within a `MultiDecisionTask.decisionList`.
  `DecisionBranch`
  `setTargetTask(String targetTask)`
  `ProcessElement.ID` of element to be used as next element if `criteria` matches.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionBranch

    public DecisionBranch()

  - ### DecisionBranch

    public DecisionBranch(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DecisionBranch getOrCreateRef(JavaScriptObject jsObj)

  - ### setCriteria

    public DecisionBranch setCriteria(Criteria criteria)
    Criteria identifying when the `targetTask` should be chosen within a `MultiDecisionTask.decisionList`.

    Data values in this criteria prefixed with "$" will be treated as dynamic expressions as detailed in `TaskInputExpression`. Specifically, this means that for simple criteria, any property value that is a String and is prefixed with "$" will be assumed to be an expression, and for AdvancedCriteria, the same treatment will be applied to `Criterion.value`.

    Note that dynamic expressions starting with "$input" are not applicable in this context but "$inputRecord" can be used for direct reference to `Process.state`.

    This property supports `DynamicCriteria` - use `Criterion.valuePath` to refer to values in the `Process.ruleScope`.

    Parameters:
      `criteria` - New criteria value. Default value is null
    Returns:
      `DecisionBranch` instance, for chaining setter calls

  - ### getCriteria

    public Criteria getCriteria()
    Criteria identifying when the `targetTask` should be chosen within a `MultiDecisionTask.decisionList`.

    Data values in this criteria prefixed with "$" will be treated as dynamic expressions as detailed in `TaskInputExpression`. Specifically, this means that for simple criteria, any property value that is a String and is prefixed with "$" will be assumed to be an expression, and for AdvancedCriteria, the same treatment will be applied to `Criterion.value`.

    Note that dynamic expressions starting with "$input" are not applicable in this context but "$inputRecord" can be used for direct reference to `Process.state`.

    This property supports `DynamicCriteria` - use `Criterion.valuePath` to refer to values in the `Process.ruleScope`.

    Returns:
      Current criteria value. Default value is null

  - ### setTargetTask

    public DecisionBranch setTargetTask(String targetTask)
    `ProcessElement.ID` of element to be used as next element if `criteria` matches.
    Parameters:
      `targetTask` - New targetTask value. Default value is null
    Returns:
      `DecisionBranch` instance, for chaining setter calls

  - ### getTargetTask

    public String getTargetTask()
    `ProcessElement.ID` of element to be used as next element if `criteria` matches.
    Returns:
      Current targetTask value. Default value is null